Index: linux-kj/drivers/scsi/FlashPoint.c
===================================================================
--- linux-kj.orig/drivers/scsi/FlashPoint.c	2005-12-05 13:19:06.000000000 +0300
+++ linux-kj/drivers/scsi/FlashPoint.c	2005-12-05 13:19:06.000000000 +0300
@@ -3837,67 +3626,65 @@ static void FPT_sssyncv(unsigned long p_
  *---------------------------------------------------------------------*/
 static void FPT_sresb(unsigned long port, unsigned char p_card)
 {
-   unsigned char scsiID, i;
+	unsigned char scsiID, i;
 
-   struct sccb_mgr_tar_info * currTar_Info;
+	struct sccb_mgr_tar_info *currTar_Info;
 
-   WR_HARPOON(port+hp_page_ctrl,
-      (RD_HARPOON(port+hp_page_ctrl) | G_INT_DISABLE));
-   WRW_HARPOON((port+hp_intstat), CLR_ALL_INT);
+	WR_HARPOON(port + hp_page_ctrl,
+		   (RD_HARPOON(port + hp_page_ctrl) | G_INT_DISABLE));
+	WRW_HARPOON((port + hp_intstat), CLR_ALL_INT);
 
-   WR_HARPOON(port+hp_scsictrl_0, SCSI_RST);
+	WR_HARPOON(port + hp_scsictrl_0, SCSI_RST);
 
-   scsiID = RD_HARPOON(port+hp_seltimeout);
-   WR_HARPOON(port+hp_seltimeout,TO_5ms);
-   WRW_HARPOON((port+hp_intstat), TIMEOUT);
+	scsiID = RD_HARPOON(port + hp_seltimeout);
+	WR_HARPOON(port + hp_seltimeout, TO_5ms);
+	WRW_HARPOON((port + hp_intstat), TIMEOUT);
 
-   WR_HARPOON(port+hp_portctrl_0,(SCSI_PORT | START_TO));
+	WR_HARPOON(port + hp_portctrl_0, (SCSI_PORT | START_TO));
 
-   while (!(RDW_HARPOON((port+hp_intstat)) & TIMEOUT)) {}
+	while (!(RDW_HARPOON((port + hp_intstat)) & TIMEOUT)) {
+	}
 
-   WR_HARPOON(port+hp_seltimeout,scsiID);
+	WR_HARPOON(port + hp_seltimeout, scsiID);
 
-   WR_HARPOON(port+hp_scsictrl_0, ENA_SCAM_SEL);
+	WR_HARPOON(port + hp_scsictrl_0, ENA_SCAM_SEL);
 
-   FPT_Wait(port, TO_5ms);
+	FPT_Wait(port, TO_5ms);
 
-   WRW_HARPOON((port+hp_intstat), CLR_ALL_INT);
+	WRW_HARPOON((port + hp_intstat), CLR_ALL_INT);
 
-   WR_HARPOON(port+hp_int_mask, (RD_HARPOON(port+hp_int_mask) | 0x00));
+	WR_HARPOON(port + hp_int_mask, (RD_HARPOON(port + hp_int_mask) | 0x00));
 
-   for (scsiID = 0; scsiID < MAX_SCSI_TAR; scsiID++)
-      {
-      currTar_Info = &FPT_sccbMgrTbl[p_card][scsiID];
+	for (scsiID = 0; scsiID < MAX_SCSI_TAR; scsiID++) {
+		currTar_Info = &FPT_sccbMgrTbl[p_card][scsiID];
+
+		if (currTar_Info->TarEEValue & EE_SYNC_MASK) {
+			currTar_Info->TarSyncCtrl = 0;
+			currTar_Info->TarStatus &= ~TAR_SYNC_MASK;
+		}
 
-      if (currTar_Info->TarEEValue & EE_SYNC_MASK)
-         {
-	      	currTar_Info->TarSyncCtrl = 0;
-	      	currTar_Info->TarStatus &= ~TAR_SYNC_MASK;
-	      }
-
-      if (currTar_Info->TarEEValue & EE_WIDE_SCSI)
-         {
-      	currTar_Info->TarStatus &= ~TAR_WIDE_MASK;
-      	}
+		if (currTar_Info->TarEEValue & EE_WIDE_SCSI) {
+			currTar_Info->TarStatus &= ~TAR_WIDE_MASK;
+		}
 
-      FPT_sssyncv(port, scsiID, NARROW_SCSI,currTar_Info);
+		FPT_sssyncv(port, scsiID, NARROW_SCSI, currTar_Info);
 
-      FPT_SccbMgrTableInitTarget(p_card, scsiID);
-      }
+		FPT_SccbMgrTableInitTarget(p_card, scsiID);
+	}
 
-   FPT_BL_Card[p_card].scanIndex = 0x00;
-   FPT_BL_Card[p_card].currentSCCB = NULL;
-   FPT_BL_Card[p_card].globalFlags &= ~(F_TAG_STARTED | F_HOST_XFER_ACT 
-													| F_NEW_SCCB_CMD);
-   FPT_BL_Card[p_card].cmdCounter  = 0x00;
+	FPT_BL_Card[p_card].scanIndex = 0x00;
+	FPT_BL_Card[p_card].currentSCCB = NULL;
+	FPT_BL_Card[p_card].globalFlags &= ~(F_TAG_STARTED | F_HOST_XFER_ACT
+					     | F_NEW_SCCB_CMD);
+	FPT_BL_Card[p_card].cmdCounter = 0x00;
 	FPT_BL_Card[p_card].discQCount = 0x00;
-   FPT_BL_Card[p_card].tagQ_Lst = 0x01; 
+	FPT_BL_Card[p_card].tagQ_Lst = 0x01;
 
-	for(i = 0; i < QUEUE_DEPTH; i++)
+	for (i = 0; i < QUEUE_DEPTH; i++)
 		FPT_BL_Card[p_card].discQ_Tbl[i] = NULL;
 
-   WR_HARPOON(port+hp_page_ctrl,
-      (RD_HARPOON(port+hp_page_ctrl) & ~G_INT_DISABLE));
+	WR_HARPOON(port + hp_page_ctrl,
+		   (RD_HARPOON(port + hp_page_ctrl) & ~G_INT_DISABLE));
 
 }
 
@@ -3908,46 +3695,43 @@ static void FPT_sresb(unsigned long port
  * Description: Setup for the Auto Sense command.
  *
  *---------------------------------------------------------------------*/
-static void FPT_ssenss(struct sccb_card * pCurrCard)
+static void FPT_ssenss(struct sccb_card *pCurrCard)
 {
-   unsigned char i;
-   struct sccb * currSCCB;
-
-   currSCCB = pCurrCard->currentSCCB;
+	unsigned char i;
+	struct sccb *currSCCB;
 
+	currSCCB = pCurrCard->currentSCCB;
 
-   currSCCB->Save_CdbLen = currSCCB->CdbLength;
+	currSCCB->Save_CdbLen = currSCCB->CdbLength;
 
-   for (i = 0; i < 6; i++) {
+	for (i = 0; i < 6; i++) {
 
-      currSCCB->Save_Cdb[i] = currSCCB->Cdb[i];
-      }
+		currSCCB->Save_Cdb[i] = currSCCB->Cdb[i];
+	}
 
-   currSCCB->CdbLength = SIX_BYTE_CMD;
-   currSCCB->Cdb[0]    = SCSI_REQUEST_SENSE;
-   currSCCB->Cdb[1]    = currSCCB->Cdb[1] & (unsigned char)0xE0; /*Keep LUN. */
-   currSCCB->Cdb[2]    = 0x00;
-   currSCCB->Cdb[3]    = 0x00;
-   currSCCB->Cdb[4]    = currSCCB->RequestSenseLength;
-   currSCCB->Cdb[5]    = 0x00;
+	currSCCB->CdbLength = SIX_BYTE_CMD;
+	currSCCB->Cdb[0] = SCSI_REQUEST_SENSE;
+	currSCCB->Cdb[1] = currSCCB->Cdb[1] & (unsigned char)0xE0;	/*Keep LUN. */
+	currSCCB->Cdb[2] = 0x00;
+	currSCCB->Cdb[3] = 0x00;
+	currSCCB->Cdb[4] = currSCCB->RequestSenseLength;
+	currSCCB->Cdb[5] = 0x00;
 
-   currSCCB->Sccb_XferCnt = (unsigned long)currSCCB->RequestSenseLength;
+	currSCCB->Sccb_XferCnt = (unsigned long)currSCCB->RequestSenseLength;
 
-   currSCCB->Sccb_ATC = 0x00;
+	currSCCB->Sccb_ATC = 0x00;
 
-   currSCCB->Sccb_XferState |= F_AUTO_SENSE;
+	currSCCB->Sccb_XferState |= F_AUTO_SENSE;
 
-   currSCCB->Sccb_XferState &= ~F_SG_XFER;
+	currSCCB->Sccb_XferState &= ~F_SG_XFER;
 
-   currSCCB->Sccb_idmsg = currSCCB->Sccb_idmsg & ~(unsigned char)DISC_PRIV;
+	currSCCB->Sccb_idmsg = currSCCB->Sccb_idmsg & ~(unsigned char)DISC_PRIV;
 
-   currSCCB->ControlByte = 0x00;
+	currSCCB->ControlByte = 0x00;
 
-   currSCCB->Sccb_MGRFlags &= F_STATUSLOADED;
+	currSCCB->Sccb_MGRFlags &= F_STATUSLOADED;
 }
 
-
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_sxfrp
@@ -3959,76 +3743,76 @@ static void FPT_ssenss(struct sccb_card 
 
 static void FPT_sxfrp(unsigned long p_port, unsigned char p_card)
 {
-   unsigned char curr_phz;
+	unsigned char curr_phz;
 
+	DISABLE_AUTO(p_port);
 
-   DISABLE_AUTO(p_port);
+	if (FPT_BL_Card[p_card].globalFlags & F_HOST_XFER_ACT) {
 
-   if (FPT_BL_Card[p_card].globalFlags & F_HOST_XFER_ACT) {
+		FPT_hostDataXferAbort(p_port, p_card,
+				      FPT_BL_Card[p_card].currentSCCB);
 
-      FPT_hostDataXferAbort(p_port,p_card,FPT_BL_Card[p_card].currentSCCB);
+	}
 
-      }
+	/* If the Automation handled the end of the transfer then do not
+	   match the phase or we will get out of sync with the ISR.       */
 
-   /* If the Automation handled the end of the transfer then do not
-      match the phase or we will get out of sync with the ISR.       */
+	if (RDW_HARPOON((p_port + hp_intstat)) &
+	    (BUS_FREE | XFER_CNT_0 | AUTO_INT))
+		return;
 
-   if (RDW_HARPOON((p_port+hp_intstat)) & (BUS_FREE | XFER_CNT_0 | AUTO_INT))
-      return;
+	WR_HARPOON(p_port + hp_xfercnt_0, 0x00);
 
-   WR_HARPOON(p_port+hp_xfercnt_0, 0x00);
+	curr_phz = RD_HARPOON(p_port + hp_scsisig) & (unsigned char)S_SCSI_PHZ;
 
-   curr_phz = RD_HARPOON(p_port+hp_scsisig) & (unsigned char)S_SCSI_PHZ;
+	WRW_HARPOON((p_port + hp_intstat), XFER_CNT_0);
 
-   WRW_HARPOON((p_port+hp_intstat), XFER_CNT_0);
+	WR_HARPOON(p_port + hp_scsisig, curr_phz);
 
+	while (!(RDW_HARPOON((p_port + hp_intstat)) & (BUS_FREE | RESET)) &&
+	       (curr_phz ==
+		(RD_HARPOON(p_port + hp_scsisig) & (unsigned char)S_SCSI_PHZ)))
+	{
+		if (curr_phz & (unsigned char)SCSI_IOBIT) {
+			WR_HARPOON(p_port + hp_portctrl_0,
+				   (SCSI_PORT | HOST_PORT | SCSI_INBIT));
 
-   WR_HARPOON(p_port+hp_scsisig, curr_phz);
+			if (!(RD_HARPOON(p_port + hp_xferstat) & FIFO_EMPTY)) {
+				RD_HARPOON(p_port + hp_fifodata_0);
+			}
+		} else {
+			WR_HARPOON(p_port + hp_portctrl_0,
+				   (SCSI_PORT | HOST_PORT | HOST_WRT));
+			if (RD_HARPOON(p_port + hp_xferstat) & FIFO_EMPTY) {
+				WR_HARPOON(p_port + hp_fifodata_0, 0xFA);
+			}
+		}
+	}			/* End of While loop for padding data I/O phase */
 
-   while ( !(RDW_HARPOON((p_port+hp_intstat)) & (BUS_FREE | RESET)) &&
-      (curr_phz == (RD_HARPOON(p_port+hp_scsisig) & (unsigned char)S_SCSI_PHZ)) )
-      {
-      if (curr_phz & (unsigned char)SCSI_IOBIT)
-         {
-      	WR_HARPOON(p_port+hp_portctrl_0, (SCSI_PORT | HOST_PORT | SCSI_INBIT));
-
-	      if (!(RD_HARPOON(p_port+hp_xferstat) & FIFO_EMPTY))
-            {
-	         RD_HARPOON(p_port+hp_fifodata_0);
-	         }
-	      }
-      else
-         {
-      	WR_HARPOON(p_port+hp_portctrl_0, (SCSI_PORT | HOST_PORT | HOST_WRT));
-   	   if (RD_HARPOON(p_port+hp_xferstat) & FIFO_EMPTY)
-            {
-	         WR_HARPOON(p_port+hp_fifodata_0,0xFA);
-	         }
-	      }
-      } /* End of While loop for padding data I/O phase */
-
-      while ( !(RDW_HARPOON((p_port+hp_intstat)) & (BUS_FREE | RESET)))
-         {
-         if (RD_HARPOON(p_port+hp_scsisig) & SCSI_REQ)
-      	   break;
-         }
-
-      WR_HARPOON(p_port+hp_portctrl_0, (SCSI_PORT | HOST_PORT | SCSI_INBIT));
-      while (!(RD_HARPOON(p_port+hp_xferstat) & FIFO_EMPTY))
-         {
-         RD_HARPOON(p_port+hp_fifodata_0);
-         }
-
-      if ( !(RDW_HARPOON((p_port+hp_intstat)) & (BUS_FREE | RESET)))
-         {
-         WR_HARPOON(p_port+hp_autostart_0, (AUTO_IMMED+DISCONNECT_START));
-         while (!(RDW_HARPOON((p_port+hp_intstat)) & AUTO_INT)) {}
-
-         if (RDW_HARPOON((p_port+hp_intstat)) & (ICMD_COMP | ITAR_DISC))
-   	   while (!(RDW_HARPOON((p_port+hp_intstat)) & (BUS_FREE | RSEL))) ;
-         }
-}
+	while (!(RDW_HARPOON((p_port + hp_intstat)) & (BUS_FREE | RESET))) {
+		if (RD_HARPOON(p_port + hp_scsisig) & SCSI_REQ)
+			break;
+	}
 
+	WR_HARPOON(p_port + hp_portctrl_0,
+		   (SCSI_PORT | HOST_PORT | SCSI_INBIT));
+	while (!(RD_HARPOON(p_port + hp_xferstat) & FIFO_EMPTY)) {
+		RD_HARPOON(p_port + hp_fifodata_0);
+	}
+
+	if (!(RDW_HARPOON((p_port + hp_intstat)) & (BUS_FREE | RESET))) {
+		WR_HARPOON(p_port + hp_autostart_0,
+			   (AUTO_IMMED + DISCONNECT_START));
+		while (!(RDW_HARPOON((p_port + hp_intstat)) & AUTO_INT)) {
+		}
+
+		if (RDW_HARPOON((p_port + hp_intstat)) &
+		    (ICMD_COMP | ITAR_DISC))
+			while (!
+			       (RDW_HARPOON((p_port + hp_intstat)) &
+				(BUS_FREE | RSEL))) ;
+	}
+}
 
 /*---------------------------------------------------------------------
  *
@@ -4041,109 +3825,97 @@ static void FPT_sxfrp(unsigned long p_po
 
 static void FPT_schkdd(unsigned long port, unsigned char p_card)
 {
-   unsigned short TimeOutLoop;
+	unsigned short TimeOutLoop;
 	unsigned char sPhase;
 
-   struct sccb * currSCCB;
-
-   currSCCB = FPT_BL_Card[p_card].currentSCCB;
-
-
-   if ((currSCCB->Sccb_scsistat != DATA_OUT_ST) &&
-       (currSCCB->Sccb_scsistat != DATA_IN_ST)) {
-      return;
-      }
-
+	struct sccb *currSCCB;
 
+	currSCCB = FPT_BL_Card[p_card].currentSCCB;
 
-   if (currSCCB->Sccb_XferState & F_ODD_BALL_CNT)
-      {
+	if ((currSCCB->Sccb_scsistat != DATA_OUT_ST) &&
+	    (currSCCB->Sccb_scsistat != DATA_IN_ST)) {
+		return;
+	}
 
-      currSCCB->Sccb_ATC += (currSCCB->Sccb_XferCnt-1);
+	if (currSCCB->Sccb_XferState & F_ODD_BALL_CNT) {
 
-      currSCCB->Sccb_XferCnt = 1;
+		currSCCB->Sccb_ATC += (currSCCB->Sccb_XferCnt - 1);
 
-      currSCCB->Sccb_XferState &= ~F_ODD_BALL_CNT;
-      WRW_HARPOON((port+hp_fiforead), (unsigned short) 0x00);
-      WR_HARPOON(port+hp_xferstat, 0x00);
-      }
+		currSCCB->Sccb_XferCnt = 1;
 
-   else
-      {
+		currSCCB->Sccb_XferState &= ~F_ODD_BALL_CNT;
+		WRW_HARPOON((port + hp_fiforead), (unsigned short)0x00);
+		WR_HARPOON(port + hp_xferstat, 0x00);
+	}
 
-      currSCCB->Sccb_ATC += currSCCB->Sccb_XferCnt;
+	else {
 
-      currSCCB->Sccb_XferCnt = 0;
-      }
+		currSCCB->Sccb_ATC += currSCCB->Sccb_XferCnt;
 
-   if ((RDW_HARPOON((port+hp_intstat)) & PARITY) &&
-      (currSCCB->HostStatus == SCCB_COMPLETE)) {
+		currSCCB->Sccb_XferCnt = 0;
+	}
 
-      currSCCB->HostStatus = SCCB_PARITY_ERR;
-      WRW_HARPOON((port+hp_intstat), PARITY);
-      }
+	if ((RDW_HARPOON((port + hp_intstat)) & PARITY) &&
+	    (currSCCB->HostStatus == SCCB_COMPLETE)) {
 
+		currSCCB->HostStatus = SCCB_PARITY_ERR;
+		WRW_HARPOON((port + hp_intstat), PARITY);
+	}
 
-   FPT_hostDataXferAbort(port,p_card,currSCCB);
+	FPT_hostDataXferAbort(port, p_card, currSCCB);
 
+	while (RD_HARPOON(port + hp_scsisig) & SCSI_ACK) {
+	}
 
-   while (RD_HARPOON(port+hp_scsisig) & SCSI_ACK) {}
+	TimeOutLoop = 0;
 
-   TimeOutLoop = 0;
+	while (RD_HARPOON(port + hp_xferstat) & FIFO_EMPTY) {
+		if (RDW_HARPOON((port + hp_intstat)) & BUS_FREE) {
+			return;
+		}
+		if (RD_HARPOON(port + hp_offsetctr) & (unsigned char)0x1F) {
+			break;
+		}
+		if (RDW_HARPOON((port + hp_intstat)) & RESET) {
+			return;
+		}
+		if ((RD_HARPOON(port + hp_scsisig) & SCSI_REQ)
+		    || (TimeOutLoop++ > 0x3000))
+			break;
+	}
 
-   while(RD_HARPOON(port+hp_xferstat) & FIFO_EMPTY)
-      {
-      if (RDW_HARPOON((port+hp_intstat)) & BUS_FREE) {
-	      return;
-   	   }
-      if (RD_HARPOON(port+hp_offsetctr) & (unsigned char)0x1F) {
-	      break;
-   	   }
-      if (RDW_HARPOON((port+hp_intstat)) & RESET) {
-	      return;
-   	   }
-      if ((RD_HARPOON(port+hp_scsisig) & SCSI_REQ) || (TimeOutLoop++>0x3000) )
-   	   break;
-      }
+	sPhase = RD_HARPOON(port + hp_scsisig) & (SCSI_BSY | S_SCSI_PHZ);
+	if ((!(RD_HARPOON(port + hp_xferstat) & FIFO_EMPTY)) ||
+	    (RD_HARPOON(port + hp_offsetctr) & (unsigned char)0x1F) ||
+	    (sPhase == (SCSI_BSY | S_DATAO_PH)) ||
+	    (sPhase == (SCSI_BSY | S_DATAI_PH))) {
 
-	sPhase = RD_HARPOON(port+hp_scsisig) & (SCSI_BSY | S_SCSI_PHZ);
-   if ((!(RD_HARPOON(port+hp_xferstat) & FIFO_EMPTY))                     ||
-      (RD_HARPOON(port+hp_offsetctr) & (unsigned char)0x1F)                       ||
-      (sPhase == (SCSI_BSY | S_DATAO_PH)) ||
-      (sPhase == (SCSI_BSY | S_DATAI_PH)))
-      {
+		WR_HARPOON(port + hp_portctrl_0, SCSI_PORT);
 
-	   WR_HARPOON(port+hp_portctrl_0, SCSI_PORT);
+		if (!(currSCCB->Sccb_XferState & F_ALL_XFERRED)) {
+			if (currSCCB->Sccb_XferState & F_HOST_XFER_DIR) {
+				FPT_phaseDataIn(port, p_card);
+			}
 
-	   if (!(currSCCB->Sccb_XferState & F_ALL_XFERRED))
-         {
-	      if (currSCCB->Sccb_XferState & F_HOST_XFER_DIR) {
-	         FPT_phaseDataIn(port,p_card);
-	      	}
-
-	   	else {
-	       FPT_phaseDataOut(port,p_card);
-	       	}
-	   	}
-		else
-      	{
-	   	FPT_sxfrp(port,p_card);
-	   	if (!(RDW_HARPOON((port+hp_intstat)) &
-		      (BUS_FREE | ICMD_COMP | ITAR_DISC | RESET)))
-         {
-   		WRW_HARPOON((port+hp_intstat), AUTO_INT);
-		   FPT_phaseDecode(port,p_card);
-		   }
-	   }
+			else {
+				FPT_phaseDataOut(port, p_card);
+			}
+		} else {
+			FPT_sxfrp(port, p_card);
+			if (!(RDW_HARPOON((port + hp_intstat)) &
+			      (BUS_FREE | ICMD_COMP | ITAR_DISC | RESET))) {
+				WRW_HARPOON((port + hp_intstat), AUTO_INT);
+				FPT_phaseDecode(port, p_card);
+			}
+		}
 
-   }
+	}
 
-   else {
-      WR_HARPOON(port+hp_portctrl_0, 0x00);
-      }
+	else {
+		WR_HARPOON(port + hp_portctrl_0, 0x00);
+	}
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_sinits
@@ -4152,39 +3924,37 @@ static void FPT_schkdd(unsigned long por
  *
  *---------------------------------------------------------------------*/
 
-static void FPT_sinits(struct sccb * p_sccb, unsigned char p_card)
+static void FPT_sinits(struct sccb *p_sccb, unsigned char p_card)
 {
-   struct sccb_mgr_tar_info * currTar_Info;
+	struct sccb_mgr_tar_info *currTar_Info;
 
-	if((p_sccb->TargID > MAX_SCSI_TAR) || (p_sccb->Lun > MAX_LUN))
-	{
+	if ((p_sccb->TargID > MAX_SCSI_TAR) || (p_sccb->Lun > MAX_LUN)) {
 		return;
 	}
-   currTar_Info = &FPT_sccbMgrTbl[p_card][p_sccb->TargID];
+	currTar_Info = &FPT_sccbMgrTbl[p_card][p_sccb->TargID];
 
-   p_sccb->Sccb_XferState     = 0x00;
-   p_sccb->Sccb_XferCnt       = p_sccb->DataLength;
+	p_sccb->Sccb_XferState = 0x00;
+	p_sccb->Sccb_XferCnt = p_sccb->DataLength;
 
-   if ((p_sccb->OperationCode == SCATTER_GATHER_COMMAND) ||
-      (p_sccb->OperationCode == RESIDUAL_SG_COMMAND)) {
+	if ((p_sccb->OperationCode == SCATTER_GATHER_COMMAND) ||
+	    (p_sccb->OperationCode == RESIDUAL_SG_COMMAND)) {
 
-      p_sccb->Sccb_SGoffset   = 0;
-      p_sccb->Sccb_XferState  = F_SG_XFER;
-      p_sccb->Sccb_XferCnt    = 0x00;
-      }
+		p_sccb->Sccb_SGoffset = 0;
+		p_sccb->Sccb_XferState = F_SG_XFER;
+		p_sccb->Sccb_XferCnt = 0x00;
+	}
 
-   if (p_sccb->DataLength == 0x00)
+	if (p_sccb->DataLength == 0x00)
 
-      p_sccb->Sccb_XferState |= F_ALL_XFERRED;
+		p_sccb->Sccb_XferState |= F_ALL_XFERRED;
 
-   if (p_sccb->ControlByte & F_USE_CMD_Q)
-      {
-      if ((currTar_Info->TarStatus & TAR_TAG_Q_MASK) == TAG_Q_REJECT)
-         p_sccb->ControlByte &= ~F_USE_CMD_Q;
+	if (p_sccb->ControlByte & F_USE_CMD_Q) {
+		if ((currTar_Info->TarStatus & TAR_TAG_Q_MASK) == TAG_Q_REJECT)
+			p_sccb->ControlByte &= ~F_USE_CMD_Q;
 
-      else
-	      currTar_Info->TarStatus |= TAG_Q_TRYING;
-      }
+		else
+			currTar_Info->TarStatus |= TAG_Q_TRYING;
+	}
 
 /*      For !single SCSI device in system  & device allow Disconnect
 	or command is tag_q type then send Cmd with Disconnect Enable
@@ -4195,35 +3965,35 @@ static void FPT_sinits(struct sccb * p_s
       (currTar_Info->TarStatus & TAR_ALLOW_DISC)) ||
       (currTar_Info->TarStatus & TAG_Q_TRYING)) {
 */
-   if ((currTar_Info->TarStatus & TAR_ALLOW_DISC) ||
-      (currTar_Info->TarStatus & TAG_Q_TRYING)) {
-      p_sccb->Sccb_idmsg      = (unsigned char)(SMIDENT | DISC_PRIV) | p_sccb->Lun;
-      }
+	if ((currTar_Info->TarStatus & TAR_ALLOW_DISC) ||
+	    (currTar_Info->TarStatus & TAG_Q_TRYING)) {
+		p_sccb->Sccb_idmsg =
+		    (unsigned char)(SMIDENT | DISC_PRIV) | p_sccb->Lun;
+	}
 
-   else {
+	else {
 
-      p_sccb->Sccb_idmsg      = (unsigned char)SMIDENT | p_sccb->Lun;
-      }
+		p_sccb->Sccb_idmsg = (unsigned char)SMIDENT | p_sccb->Lun;
+	}
 
-   p_sccb->HostStatus         = 0x00;
-   p_sccb->TargetStatus       = 0x00;
-   p_sccb->Sccb_tag           = 0x00;
-   p_sccb->Sccb_MGRFlags      = 0x00;
-   p_sccb->Sccb_sgseg         = 0x00;
-   p_sccb->Sccb_ATC           = 0x00;
-   p_sccb->Sccb_savedATC      = 0x00;
+	p_sccb->HostStatus = 0x00;
+	p_sccb->TargetStatus = 0x00;
+	p_sccb->Sccb_tag = 0x00;
+	p_sccb->Sccb_MGRFlags = 0x00;
+	p_sccb->Sccb_sgseg = 0x00;
+	p_sccb->Sccb_ATC = 0x00;
+	p_sccb->Sccb_savedATC = 0x00;
 /*
    p_sccb->SccbVirtDataPtr    = 0x00;
    p_sccb->Sccb_forwardlink   = NULL;
    p_sccb->Sccb_backlink      = NULL;
  */
-   p_sccb->Sccb_scsistat      = BUS_FREE_ST;
-   p_sccb->SccbStatus         = SCCB_IN_PROCESS;
-   p_sccb->Sccb_scsimsg       = SMNO_OP;
+	p_sccb->Sccb_scsistat = BUS_FREE_ST;
+	p_sccb->SccbStatus = SCCB_IN_PROCESS;
+	p_sccb->Sccb_scsimsg = SMNO_OP;
 
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: Phase Decode
@@ -4234,21 +4004,19 @@ static void FPT_sinits(struct sccb * p_s
 
 static void FPT_phaseDecode(unsigned long p_port, unsigned char p_card)
 {
-   unsigned char phase_ref;
-   void (*phase) (unsigned long, unsigned char);
-
+	unsigned char phase_ref;
+	void (*phase) (unsigned long, unsigned char);
 
-   DISABLE_AUTO(p_port);
+	DISABLE_AUTO(p_port);
 
-   phase_ref = (unsigned char) (RD_HARPOON(p_port+hp_scsisig) & S_SCSI_PHZ);
+	phase_ref =
+	    (unsigned char)(RD_HARPOON(p_port + hp_scsisig) & S_SCSI_PHZ);
 
-   phase = FPT_s_PhaseTbl[phase_ref];
+	phase = FPT_s_PhaseTbl[phase_ref];
 
-   (*phase)(p_port, p_card);           /* Call the correct phase func */
+	(*phase) (p_port, p_card);	/* Call the correct phase func */
 }
 
-
-
 /*---------------------------------------------------------------------
  *
  * Function: Data Out Phase
@@ -4260,39 +4028,36 @@ static void FPT_phaseDecode(unsigned lon
 static void FPT_phaseDataOut(unsigned long port, unsigned char p_card)
 {
 
-   struct sccb * currSCCB;
-
-   currSCCB = FPT_BL_Card[p_card].currentSCCB;
-   if (currSCCB == NULL)
-      {
-      return;  /* Exit if No SCCB record */
-      }
+	struct sccb *currSCCB;
 
-   currSCCB->Sccb_scsistat = DATA_OUT_ST;
-   currSCCB->Sccb_XferState &= ~(F_HOST_XFER_DIR | F_NO_DATA_YET);
+	currSCCB = FPT_BL_Card[p_card].currentSCCB;
+	if (currSCCB == NULL) {
+		return;		/* Exit if No SCCB record */
+	}
 
-   WR_HARPOON(port+hp_portctrl_0, SCSI_PORT);
+	currSCCB->Sccb_scsistat = DATA_OUT_ST;
+	currSCCB->Sccb_XferState &= ~(F_HOST_XFER_DIR | F_NO_DATA_YET);
 
-   WRW_HARPOON((port+hp_intstat), XFER_CNT_0);
+	WR_HARPOON(port + hp_portctrl_0, SCSI_PORT);
 
-   WR_HARPOON(port+hp_autostart_0, (END_DATA+END_DATA_START));
+	WRW_HARPOON((port + hp_intstat), XFER_CNT_0);
 
-   FPT_dataXferProcessor(port, &FPT_BL_Card[p_card]);
+	WR_HARPOON(port + hp_autostart_0, (END_DATA + END_DATA_START));
 
-   if (currSCCB->Sccb_XferCnt == 0) {
+	FPT_dataXferProcessor(port, &FPT_BL_Card[p_card]);
 
+	if (currSCCB->Sccb_XferCnt == 0) {
 
-      if ((currSCCB->ControlByte & SCCB_DATA_XFER_OUT) &&
-	 (currSCCB->HostStatus == SCCB_COMPLETE))
-	 currSCCB->HostStatus = SCCB_DATA_OVER_RUN;
+		if ((currSCCB->ControlByte & SCCB_DATA_XFER_OUT) &&
+		    (currSCCB->HostStatus == SCCB_COMPLETE))
+			currSCCB->HostStatus = SCCB_DATA_OVER_RUN;
 
-      FPT_sxfrp(port,p_card);
-      if (!(RDW_HARPOON((port+hp_intstat)) & (BUS_FREE | RESET)))
-	    FPT_phaseDecode(port,p_card);
-      }
+		FPT_sxfrp(port, p_card);
+		if (!(RDW_HARPOON((port + hp_intstat)) & (BUS_FREE | RESET)))
+			FPT_phaseDecode(port, p_card);
+	}
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: Data In Phase
@@ -4304,40 +4069,37 @@ static void FPT_phaseDataOut(unsigned lo
 static void FPT_phaseDataIn(unsigned long port, unsigned char p_card)
 {
 
-   struct sccb * currSCCB;
-
-   currSCCB = FPT_BL_Card[p_card].currentSCCB;
-
-   if (currSCCB == NULL)
-      {
-      return;  /* Exit if No SCCB record */
-      }
+	struct sccb *currSCCB;
 
+	currSCCB = FPT_BL_Card[p_card].currentSCCB;
 
-   currSCCB->Sccb_scsistat = DATA_IN_ST;
-   currSCCB->Sccb_XferState |= F_HOST_XFER_DIR;
-   currSCCB->Sccb_XferState &= ~F_NO_DATA_YET;
+	if (currSCCB == NULL) {
+		return;		/* Exit if No SCCB record */
+	}
 
-   WR_HARPOON(port+hp_portctrl_0, SCSI_PORT);
+	currSCCB->Sccb_scsistat = DATA_IN_ST;
+	currSCCB->Sccb_XferState |= F_HOST_XFER_DIR;
+	currSCCB->Sccb_XferState &= ~F_NO_DATA_YET;
 
-   WRW_HARPOON((port+hp_intstat), XFER_CNT_0);
+	WR_HARPOON(port + hp_portctrl_0, SCSI_PORT);
 
-   WR_HARPOON(port+hp_autostart_0, (END_DATA+END_DATA_START));
+	WRW_HARPOON((port + hp_intstat), XFER_CNT_0);
 
-   FPT_dataXferProcessor(port, &FPT_BL_Card[p_card]);
+	WR_HARPOON(port + hp_autostart_0, (END_DATA + END_DATA_START));
 
-   if (currSCCB->Sccb_XferCnt == 0) {
+	FPT_dataXferProcessor(port, &FPT_BL_Card[p_card]);
 
+	if (currSCCB->Sccb_XferCnt == 0) {
 
-      if ((currSCCB->ControlByte & SCCB_DATA_XFER_IN) &&
-	 (currSCCB->HostStatus == SCCB_COMPLETE))
-	 currSCCB->HostStatus = SCCB_DATA_OVER_RUN;
+		if ((currSCCB->ControlByte & SCCB_DATA_XFER_IN) &&
+		    (currSCCB->HostStatus == SCCB_COMPLETE))
+			currSCCB->HostStatus = SCCB_DATA_OVER_RUN;
 
-      FPT_sxfrp(port,p_card);
-      if (!(RDW_HARPOON((port+hp_intstat)) & (BUS_FREE | RESET)))
-	    FPT_phaseDecode(port,p_card);
+		FPT_sxfrp(port, p_card);
+		if (!(RDW_HARPOON((port + hp_intstat)) & (BUS_FREE | RESET)))
+			FPT_phaseDecode(port, p_card);
 
-      }
+	}
 }
 
 /*---------------------------------------------------------------------
@@ -4350,48 +4112,47 @@ static void FPT_phaseDataIn(unsigned lon
 
 static void FPT_phaseCommand(unsigned long p_port, unsigned char p_card)
 {
-   struct sccb * currSCCB;
-   unsigned long cdb_reg;
-   unsigned char i;
-
-   currSCCB = FPT_BL_Card[p_card].currentSCCB;
+	struct sccb *currSCCB;
+	unsigned long cdb_reg;
+	unsigned char i;
 
-   if (currSCCB->OperationCode == RESET_COMMAND) {
+	currSCCB = FPT_BL_Card[p_card].currentSCCB;
 
-      currSCCB->HostStatus = SCCB_PHASE_SEQUENCE_FAIL;
-      currSCCB->CdbLength = SIX_BYTE_CMD;
-      }
+	if (currSCCB->OperationCode == RESET_COMMAND) {
 
-   WR_HARPOON(p_port+hp_scsisig, 0x00);
+		currSCCB->HostStatus = SCCB_PHASE_SEQUENCE_FAIL;
+		currSCCB->CdbLength = SIX_BYTE_CMD;
+	}
 
-   ARAM_ACCESS(p_port);
+	WR_HARPOON(p_port + hp_scsisig, 0x00);
 
+	ARAM_ACCESS(p_port);
 
-   cdb_reg = p_port + CMD_STRT;
+	cdb_reg = p_port + CMD_STRT;
 
-   for (i=0; i < currSCCB->CdbLength; i++) {
+	for (i = 0; i < currSCCB->CdbLength; i++) {
 
-      if (currSCCB->OperationCode == RESET_COMMAND)
+		if (currSCCB->OperationCode == RESET_COMMAND)
 
-	 WRW_HARPOON(cdb_reg, (MPM_OP + ACOMMAND + 0x00));
+			WRW_HARPOON(cdb_reg, (MPM_OP + ACOMMAND + 0x00));
 
-      else
-	 WRW_HARPOON(cdb_reg, (MPM_OP + ACOMMAND + currSCCB->Cdb[i]));
-      cdb_reg +=2;
-      }
+		else
+			WRW_HARPOON(cdb_reg,
+				    (MPM_OP + ACOMMAND + currSCCB->Cdb[i]));
+		cdb_reg += 2;
+	}
 
-   if (currSCCB->CdbLength != TWELVE_BYTE_CMD)
-      WRW_HARPOON(cdb_reg, (BRH_OP+ALWAYS+    NP));
+	if (currSCCB->CdbLength != TWELVE_BYTE_CMD)
+		WRW_HARPOON(cdb_reg, (BRH_OP + ALWAYS + NP));
 
-   WR_HARPOON(p_port+hp_portctrl_0,(SCSI_PORT));
+	WR_HARPOON(p_port + hp_portctrl_0, (SCSI_PORT));
 
-   currSCCB->Sccb_scsistat = COMMAND_ST;
+	currSCCB->Sccb_scsistat = COMMAND_ST;
 
-   WR_HARPOON(p_port+hp_autostart_3, (AUTO_IMMED | CMD_ONLY_STRT));
-   SGRAM_ACCESS(p_port);
+	WR_HARPOON(p_port + hp_autostart_3, (AUTO_IMMED | CMD_ONLY_STRT));
+	SGRAM_ACCESS(p_port);
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: Status phase
@@ -4402,17 +4163,16 @@ static void FPT_phaseCommand(unsigned lo
 
 static void FPT_phaseStatus(unsigned long port, unsigned char p_card)
 {
-   /* Start-up the automation to finish off this command and let the
-      isr handle the interrupt for command complete when it comes in.
-      We could wait here for the interrupt to be generated?
-    */
+	/* Start-up the automation to finish off this command and let the
+	   isr handle the interrupt for command complete when it comes in.
+	   We could wait here for the interrupt to be generated?
+	 */
 
-   WR_HARPOON(port+hp_scsisig, 0x00);
+	WR_HARPOON(port + hp_scsisig, 0x00);
 
-   WR_HARPOON(port+hp_autostart_0, (AUTO_IMMED+END_DATA_START));
+	WR_HARPOON(port + hp_autostart_0, (AUTO_IMMED + END_DATA_START));
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: Phase Message Out
@@ -4424,9 +4184,9 @@ static void FPT_phaseStatus(unsigned lon
 
 static void FPT_phaseMsgOut(unsigned long port, unsigned char p_card)
 {
-	unsigned char message,scsiID;
-	struct sccb * currSCCB;
-	struct sccb_mgr_tar_info * currTar_Info;
+	unsigned char message, scsiID;
+	struct sccb *currSCCB;
+	struct sccb_mgr_tar_info *currTar_Info;
 
 	currSCCB = FPT_BL_Card[p_card].currentSCCB;
 
